Skip to main content
GET
/
agents
/
tasks
/
{task_id}
/
comments
List Task Comments
curl --request GET \
  --url https://api.example.com/agents/tasks/{task_id}/comments
[
  {
    "organization_id": "<string>",
    "task_id": "<string>",
    "body": "<string>",
    "author_type": "user",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "author_user_id": "<string>",
    "author_instance_id": "<string>",
    "author_agent_type_id": "<string>",
    "edited": false
  }
]

Path Parameters

task_id
string
required

Query Parameters

limit
integer
default:50

Maximum comments to return

Required range: 1 <= x <= 200
cursor
string | null

Composite cursor '<iso-created_at>|'; returns comments strictly after this point under (created_at ASC, id ASC).

Response

Successful Response

organization_id
string
required
task_id
string
required
body
string
required
author_type
enum<string>
required

Source of a task comment.

Available options:
user,
agent
created_at
string<date-time>
updated_at
string<date-time>
id
string | null
author_user_id
string | null
author_instance_id
string | null
author_agent_type_id
string | null
edited
boolean
default:false